org.keycloak.services.resources.admin

## Class ScopeMappedClientResource

- java.lang.Object
- - org.keycloak.services.resources.admin.ScopeMappedClientResource

-     public class ScopeMappedClientResource
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected AdminEventBuilder` | `adminEvent`
    `protected AdminPermissionEvaluator` | `auth`
    `protected AdminPermissionEvaluator.RequirePermissionCheck` | `managePermission`
    `protected RealmModel` | `realm`
    `protected ScopeContainerModel` | `scopeContainer`
    `protected ClientModel` | `scopedClient`
    `protected KeycloakSession` | `session`
    `protected AdminPermissionEvaluator.RequirePermissionCheck` | `viewPermission`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScopeMappedClientResource(RealmModel realm, AdminPermissionEvaluator auth, ScopeContainerModel scopeContainer, KeycloakSession session, ClientModel scopedClient, AdminEventBuilder adminEvent, AdminPermissionEvaluator.RequirePermissionCheck managePermission, AdminPermissionEvaluator.RequirePermissionCheck viewPermission)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addClientScopeMapping(List<RoleRepresentation> roles)` Add client-level roles to the client's scope
    `void` | `deleteClientScopeMapping(List<RoleRepresentation> roles)` Remove client-level roles from the client's scope.
    `Stream<RoleRepresentation>` | `getAvailableClientScopeMappings()` The available client-level roles Returns the roles for the client that can be associated with the client's scope
    `Stream<RoleRepresentation>` | `getClientScopeMappings()` Get the roles associated with a client's scope Returns roles for the client.
    `Stream<RoleRepresentation>` | `getCompositeClientScopeMappings(boolean briefRepresentation)` Get effective client roles Returns the roles for the client that are associated with the client's scope.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### realm

          protected RealmModel realm

    - #### auth

          protected AdminPermissionEvaluator auth

    - #### managePermission

          protected AdminPermissionEvaluator.RequirePermissionCheck managePermission

    - #### viewPermission

          protected AdminPermissionEvaluator.RequirePermissionCheck viewPermission

    - #### scopeContainer

          protected ScopeContainerModel scopeContainer

    - #### session

          protected KeycloakSession session

    - #### scopedClient

          protected ClientModel scopedClient

    - #### adminEvent

          protected AdminEventBuilder adminEvent

  - ### Constructor Detail

    - #### ScopeMappedClientResource

          public ScopeMappedClientResource(RealmModel realm,
                                           AdminPermissionEvaluator auth,
                                           ScopeContainerModel scopeContainer,
                                           KeycloakSession session,
                                           ClientModel scopedClient,
                                           AdminEventBuilder adminEvent,
                                           AdminPermissionEvaluator.RequirePermissionCheck managePermission,
                                           AdminPermissionEvaluator.RequirePermissionCheck viewPermission)

  - ### Method Detail

    - #### getClientScopeMappings

          @GET
           @Produces(value="application/json")
          public Stream<RoleRepresentation> getClientScopeMappings()

      Get the roles associated with a client's scope Returns roles for the client.
      Returns:

    - #### getAvailableClientScopeMappings

          @Path(value="available")
           @GET
           @Produces(value="application/json")
          public Stream<RoleRepresentation> getAvailableClientScopeMappings()

      The available client-level roles Returns the roles for the client that can be associated with the client's scope
      Returns:

    - #### getCompositeClientScopeMappings

          @Path(value="composite")
           @GET
           @Produces(value="application/json")
          public Stream<RoleRepresentation> getCompositeClientScopeMappings(@QueryParam(value="briefRepresentation") @DefaultValue(value="true")
                                                                                                                                                boolean briefRepresentation)

      Get effective client roles Returns the roles for the client that are associated with the client's scope.
      Parameters:
        `briefRepresentation` - if false, return roles with their attributes
      Returns:

    - #### addClientScopeMapping

          @POST
           @Consumes(value="application/json")
          public void addClientScopeMapping(List<RoleRepresentation> roles)

      Add client-level roles to the client's scope
      Parameters:
        `roles` -

    - #### deleteClientScopeMapping

          @DELETE
           @Consumes(value="application/json")
          public void deleteClientScopeMapping(List<RoleRepresentation> roles)

      Remove client-level roles from the client's scope.
      Parameters:
        `roles` -

Copyright © 2020 JBoss by Red Hat. All rights reserved.